module Main where

import Prelude
import Aviary.UI (component)
import Aviary.Logic (fetch_gallery_from_page_info)

import Effect (Effect)
import Effect.Aff (Aff, launchAff)
import Halogen.Aff (awaitBody)
import Halogen.VDom.Driver (runUI)

main_aff :: Aff Unit
main_aff = do
    body <- awaitBody
    gallery <- fetch_gallery_from_page_info
    _ <- runUI (component gallery) unit body
    pure unit

main :: Effect Unit
main = launchAff main_aff $> unit
